Red Gate forums :: View topic - 2k3 Installation Errors with MTS
Return to www.red-gate.com RSS Feed Available

Search  | Usergroups |  Profile |  Messages |  Log in  Register 
Go to product documentation
Aardvark
Aardvark forum

2k3 Installation Errors with MTS

Search in Aardvark forum
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.
Jump to:  
Author Message
Andrew
Guest





PostPosted: Wed Feb 02, 2005 9:50 pm    Post subject: 2k3 Installation Errors with MTS Reply with quote

Hi-

I'm having difficulties running Aardvark 2.0 on a 2003 server, which I think are due to MTS issues during installtime. At the end of the install I see these two messages pop up, and when I try to go to the defualt webpage, I get a 404 error.

Product: Aardvark -- There was a problem creating the MTS package ( - 80110414)

Product: Aardvark -- There was a problem creating the MTS package components (Package 'AARDVARK' does not exist - 80040001)

Using Rob's suggestions (earlier posts) I made sure that "enforce access checks for this application" was not checked in the component service. IIS seems to be running fine, as well as my Aardvark service. Any Ideas?
Back to top
Brian Donahue



Joined: 23 Aug 2004
Posts: 6585

PostPosted: Mon Feb 07, 2005 7:47 pm    Post subject: Reply with quote

Hi Andrew,

Thanks for your post. If the installation failed and this is a new installation, you can try dropping the aardvark database, logging in as local machine admin, and running the installation again.

If you're happy that the website has been created in IIS and the database is okay, you can try adding the COM+ packages manually using the instructions in the Aardvark Technical Document that's included in the distribution. You probably will need local administrator rights to add the Aardvark application and the dlls to the COM+ package.
Back to top
View user's profile Send private message
Andrew
Guest





PostPosted: Tue Feb 08, 2005 8:54 pm    Post subject: looks much better Reply with quote

I manually imported the COM +/MTS Package and everything seems to be working much better. Thanks for the help on that.

I also have another question in regard to database migration from 1.1.5 to 2.0. We plan on scrapping the machine currently hosting our 1.1.5 database, but we still want to continue on with the legacy repository. One, is 2.0 compatable with 1.1.5 completely? And two, should I be able to perform a simple detach-attach through SQL server?

Thanks again....
Andrew
Back to top
Brian Donahue



Joined: 23 Aug 2004
Posts: 6585

PostPosted: Wed Feb 09, 2005 8:05 pm    Post subject: Reply with quote

Hi Andrew,

When you install Aardvark 2.0, there are a bunch of SQL scripts copied to your c:\program files\aardvark\sql folder. One of them is called 'upgrade 1.15-2.0.SQL' If you load this script into Query Analyzer and run it, it will make the necessary schema changes to make the 1.15 database Aardvark 2.0 compatible.

If you're attaching a database to another server, the only thing you'll really worry about is the security. The database security in Aardvark is role-based, so it may just be a matter of adding the necessary users to the AardvarkApp role. Again, this is described in the Aardvark Technical Document.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies. All times are GMT + 1 Hour
Page 1 of 1

 
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2005 phpBB Group